DefsTable (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class DefsTable

    java.lang.Object
      org.apache.cassandra.db.DefsTable

    public class DefsTable

extends java.lang.Object

Field Summary
`static java.nio.ByteBuffer` | `DEFINITION_SCHEMA_COLUMN_NAME`

Constructor Summary
`DefsTable()`

Method Summary
`static void` | `dumpToStorage(java.util.UUID version)` dumps current keyspace definitions to storage
`static java.util.Set<java.io.File>` | `getFiles(java.lang.String table, java.lang.String cf)` gets all the files that belong to a given column family.
`static java.util.Collection<KSMetaData>` | `loadFromStorage(java.util.UUID version)` loads a version of keyspace definitions from storage

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFINITION_SCHEMA_COLUMN_NAME

    public static final java.nio.ByteBuffer DEFINITION_SCHEMA_COLUMN_NAME

Constructor Detail

### DefsTable

    public DefsTable()

Method Detail

### dumpToStorage

    public static void dumpToStorage(java.util.UUID version)
                              throws java.io.IOException

  dumps current keyspace definitions to storage

  Throws:
    `java.io.IOException`

### loadFromStorage

    public static java.util.Collection<KSMetaData> loadFromStorage(java.util.UUID version)
                                                            throws java.io.IOException

  loads a version of keyspace definitions from storage

  Throws:
    `java.io.IOException`

### getFiles

    public static java.util.Set<java.io.File> getFiles(java.lang.String table,
                                                       java.lang.String cf)

  gets all the files that belong to a given column family.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation